Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Relax various library dependencies to support GHC-7.4.0

No code changes were necessary to be able to compile it with GHC-7.4.0 as it
already compiles with GHC-7.2.x thanks to Mitsutoshi Aoe's work on that.
  • Loading branch information...
commit 66cf9ed53b010ba9e707047f423a05ad3cdafa66 1 parent 21052a1
@hvr hvr authored
Showing with 9 additions and 9 deletions.
  1. +9 −9 scion.cabal
View
18 scion.cabal
@@ -38,18 +38,18 @@ flag server
library
default-language: Haskell2010
build-depends:
- base >= 4.2 && < 4.5,
- Cabal >= 1.8 && < 1.13,
+ base >= 4.2 && < 4.6,
+ Cabal >= 1.8 && < 1.15,
containers >= 0.3 && < 0.5,
directory >= 1.0 && < 1.2,
- filepath >= 1.1 && < 1.3,
- ghc >= 6.12 && < 7.3,
+ filepath >= 1.1 && < 1.4,
+ ghc >= 6.12 && < 7.5,
ghc-paths == 0.1.*,
multiset >= 0.1 && < 0.3,
- time >= 1.1 && < 1.3,
+ time >= 1.1 && < 1.5,
text >= 0.11 && < 0.12,
process >= 1.0 && < 1.2,
- unix-compat >= 0.2 && < 0.3,
+ unix-compat >= 0.2 && < 0.4,
bytestring >= 0.9 && < 0.10,
binary >= 0.5 && < 0.6,
old-locale >= 1.0 && < 1.1,
@@ -94,7 +94,7 @@ executable scion-worker
default-language: Haskell2010
build-depends:
scion,
- base >= 4.2 && < 4.5
+ base >= 4.2 && < 4.6
executable scion-server
if !flag(server)
@@ -105,8 +105,8 @@ executable scion-server
build-depends:
scion,
atto-lisp >= 0.2 && < 0.3,
- attoparsec >= 0.8.5.1 && < 0.10,
- base >= 4.2 && < 4.5,
+ attoparsec >= 0.8.5.1 && < 0.11,
+ base >= 4.2 && < 4.6,
bytestring >= 0.9 && < 0.10,
multiset >= 0.1 && < 0.3,
network >= 2.3 && < 2.4,

0 comments on commit 66cf9ed

Please sign in to comment.
Something went wrong with that request. Please try again.